Hi all,

After recently updating my SLED 11 SP2 x86-64 installation, vlc can still play video ok but there is no audio no matter what I select under Tools=>Preferences=>Audio=>Output module. I have tried them all. Audio works fine in Skype, firefox etc.

When I double-click a video file I see the following error dialogue from vlc:

"Potential ALSA version problem:
VLC failed to initialize your sound output device (if any).
Please update alsa-lib to version 1.0.23-2-g8d80d5f or higher to try to fix this issue."

If I launch from the command line I see:

vlc video.mp4 &
VLC media player 1.1.13 The Luggage (revision exported)
Warning: call to srand(1374483747)
Warning: call to rand()
Blocked: call to unsetenv("DBUS_ACTIVATION_ADDRESS")
Blocked: call to unsetenv("DBUS_ACTIVATION_BUS_TYPE")
[0x6090c0] main libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
Blocked: call to setlocale(6, "")
Warning: call to srand(1374483747)
Warning: call to rand()
Warning: call to srand(1374483747)
Warning: call to rand()
Warning: call to srand(1374483747)
Warning: call to rand()
Warning: call to srand(1374483747)
Warning: call to rand()
Blocked: call to setlocale(6, "")
Cannot connect to server socket err = No such file or directory
Cannot connect to server socket
jack server is not running or cannot be started
[0x1b15380] jack audio output error: failed to connect to JACK server
[0x1b15380] oss audio output error: cannot open audio device (/dev/dsp)
ERROR: Couldn't attach to DCOP server!
[0x1a43e00] access_http access error: error: HTTP/1.1 403 Forbidden
[0x1a43e00] access_http access error: error: HTTP/1.1 403 Forbidden
[0x1a43e00] access_mms access error: error: HTTP/1.1 400 Invalid Request

I installed vlc like this:

sudo zypper ar -n 'packman' http://packman.mirrors.skynet.be/pub...SLE_11/packman
zypper ref

Downloaded:
http://download.opensuse.org/reposit...9.1.x86_64.rpm

sudo zypper install libdvbpsi7-0.2.2-9.1.x86_64.rpm
sudo zypper in vlc-gnome
sudo zypper install vlc

How can I get audio to work in vlc?

Many thanks for your help!

Linux localhost 3.0.80-0.7-default #1 SMP Tue Jun 25 18:32:49 UTC 2013 (25740f8) x86_64 x86_64 x86_64 GNU/Linux